--
-- $Id$
--
-- Aanmaken 'Actuele bezetting'-thema zoals binnenkort geleverd met denb.sql.
DEFINE thisfile = 'DENB#40308.SQL'
DEFINE dbuser   = '^DENB'
DEFINE custid   = 'DENB'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

CREATE OR REPLACE VIEW DENB_V_THEMA_RUIMTE_RSV
(
   ALG_RUIMTE_KEY,
   WAARDE
)
AS
     SELECT rar.alg_ruimte_key,  MIN (DECODE (bezet.res_ruimte_opstel_key, NULL, 'Vrij', 'Bezet')) waarde
       FROM res_ruimte_opstelling rro,
            res_ruimte rr,
            res_alg_ruimte rar,
            (SELECT res_ruimte_opstel_key
               FROM res_v_aanwezigrsv_ruimte
              WHERE SYSDATE BETWEEN res_rsv_ruimte_van AND res_rsv_ruimte_tot)
            bezet
      WHERE rro.res_ruimte_key = rr.res_ruimte_key
            AND rr.res_ruimte_key = rar.res_ruimte_key
            AND rar.res_alg_ruimte_verwijder IS NULL
            AND rro.res_ruimte_opstel_key = bezet.res_ruimte_opstel_key(+)
   GROUP BY rar.alg_ruimte_key;

COMMIT;

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$'); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
